function OnWarpEnter()
	SetMarker("cs\\Warp_0020.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0014.wp" , 0 , 0) 
	StartAnimation ("cian")


--------------------------------------------------------------------------- balcon
		if not balcony_open then
			AnimationSetToStart("cxa1")
		else
			if ETAT_DAY == "D3" or ETAT_DAY == "D4" or ETAT_DAY == "D5" then
			AnimationSetToEnd("cxa1")
			end
		end
---------------------------------------------------------------------------
--DAY1
	if ETAT_DAY == "D1" then 
		AnimationSetToStart("cpa1")
		AnimationSetToStart("cba1")
		PutObject("bwa1", false)
		if not O_cesar_cloth_017 then
			PutObject("cca1", false)
		end
		if not O_boots_017 then
			PutObject("caa1", false)
		end
	end 

--DAY2
	if ETAT_DAY == "D2" then 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",1,2,-1,false)
		else
			StartAnimationPart("cba1", 2, 3,-1,false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
	end 

--DAY3
	if ETAT_DAY == "D3" then 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			AnimationSetToStart("cba1",false)
		else
			AnimationSetToEnd("cba1",false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end

	end 

--DAY4
	if ETAT_DAY == "D4" then 
	   SetMarker("cs\\Warp_0021.wp" , 0 , 0) 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",1,2,-1,false)
		else
			AnimationSetToEnd("cba1",false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
	end 

--DAY5
	if ETAT_DAY == "D5" then 
	   SetMarker("cs\\Warp_0021.wp" , 0 , 0) 
		if not DESK_COVER_MOVED then
			-- couvercle coffre
			AnimationSetToStart("cpa1",false)
			StartAnimationPart("cba1",1,2,-1,false)
		else
			StartAnimationPart("cba1", 2, 3,-1,false)
			if not COFFRET_OPENED  then
				-- couvercle coffre
				AnimationSetToStart("cpa1",false)
				if not NOTE_TAKEN_0017_D3 then
					PutObject("cja1",true)
				end
			else
				-- couvercle coffre
				StartAnimationPart("cpa1",14,15,-1,false)
			end
		end
	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0020.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0014.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D1" then 
		if objectName == "bwa1" then

		elseif objectName == "caa1" then

		elseif objectName == "cca1" then

		elseif objectName == "cja1" then

		elseif objectName == "cjan" then

		elseif objectName == "cqa1" then

		elseif objectName == "cqan" then

		elseif objectName == "bwn1" then

		elseif objectName == "cba1" then

		elseif objectName == "cban" then

		elseif objectName == "cia1" then

		elseif objectName == "cian" then

		elseif objectName == "cpa1" then

		elseif objectName == "cpan" then

		elseif objectName == "cxa1" then

		elseif objectName == "cxan" then

		elseif objectName == "czan" then

		elseif objectName == "vaan" then

		elseif objectName == "vlan" then

		elseif objectName == "waan" then

		elseif objectName == "wnan" then

		elseif objectName == "xaan" then

		elseif objectName == "yaan" then

		end
	end 

--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 

	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 

	end 
end
